Bug 10753 - Denial of receiving mails with empty MAIL FROM: (e.g. error msgs from MAILER-DAEMONs)
Summary: Denial of receiving mails with empty MAIL FROM: (e.g. error msgs from MAILER-...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-12 14:55 UTC by William D. Hamblen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-19 10:32:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description William D. Hamblen 2000-04-12 14:55:57 UTC
sendmail 8.9.3-15 (from RH 6.1, also -30 from 6.2) refuses to receive
incoming mails via SMTP when there is an empty MAIL FROM: during the SMTP
session producing the following output in /var/log/maillog:

Apr 12 16:53:17 sirion sendmail[21407]: QAA21407: SYSERR(root): buildaddr:
no host
Apr 12 16:53:17 sirion sendmail[21407]: QAA21407: from=<NONE>, size=0,
class=0, pri=0, nrcpts=0, proto=SMTP, relay=some_host [some_ip]

This usually happens when someone of our users tried to send mail to an
invalid email address. The remote MTA generates an error message which is
sent back to the sender of the original message but with an empty MAIL
FROM:

This error can be reproduced on several machines.

I used /sbin/mailconf to generate /etc/sendmail.cf. Using the vanilla
sendmail.cf directly from the RPM without calling mailconf, the error does
*NOT* occur, i.e. sendmail will accept SMTP connections with empty MAIL
FROM:.

Comment 1 Florian La Roche 2000-05-19 10:32:59 UTC
this bug is fixed with newer sendmail versions and only linuxconf must
be updated to use newer sendmail configurations


Note You need to log in before you can comment on or make changes to this bug.